Page MenuHomePhabricator

Allow to have something other than a cat when queue is empty
Closed, ResolvedPublic

Description

Per request, it can be useful to allow the personalization of the empty page. This user wants to have rendered wiki-page that contain the level of vandalism, like the Project:Huggle/Message page.

Just like this page, it must be able to be defined in the local wiki config page. If it's not defined, actual empty.html will be shown.

This page is currently hard-coded and cannot be changed :
https://github.com/huggle/huggle3-qt-lx/blob/master/huggle/Resources/html/empty.html
https://github.com/huggle/huggle3-qt-lx/blob/master/huggle/mainwindow.cpp#L1504

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 22 2017, 5:29 PM
Arthur_Crbz added a subscriber: Arthur_Crbz.
Framawiki updated the task description. (Show Details)May 22 2017, 7:17 PM
Framawiki updated the task description. (Show Details)
Petrb added a subscriber: Petrb.May 25 2017, 12:52 PM

what someone doesn't like my cat D:

Framawiki moved this task from Backlog to Doing on the Huggle board.May 25 2017, 5:35 PM
Petrb added a comment.May 28 2017, 9:17 AM

I merged it but you might also want to add this to preferences form, so that user doesn't need to hack their own config page and can change this easily. I also think there should be information that this page can be modified in HG preferences on the default version.

Petrb added a comment.May 28 2017, 9:38 AM

I also commented out your call to Render() which I am not sure what would do, that function is used to render / display a WikiEdit in Huggle, it also refreshes all toolbars and so on, I think it could do something unwanted in case that CurrentEdit is not a null pointer (which it probably was when you tested this), if you know what you are doing, feel free to revert that

Thanks for your review. I'll look later.

Framawiki closed this task as Resolved.Aug 22 2017, 9:07 PM